Subject: [Teas] Update to draft-ietf-teas-pce-central-control-02.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 14 May 2017 23:20:48 +0100

Hi WG,

I have been sitting on the promised updates for too long.

Obviously, you can all run a diff for yourselves, but here is a summary. The
changes basically all result discussions with Michael Scharf. The changes re not
large, but hopefully make all the difference.

Section 2
Additional paragraph to highlight trade-off between deployments with and without
a control plane.

Section 3.1.4
Expansion on what it means to carry technology-specific  parameters for T-SDN.
Add reference to draft-ietf-pce-wson-rwa-ext

Section 4
Change section title.
Add clarification on backward compatibility and existing deployments.
Add protocol from Michael on impact on existing deployments.
Add paragraph on profiling protocol extensions.

Section 5
SDNRG has closed

Section 6
Add paragraph on managing with additional PCEP features.

With these changes, and the discussion that there was on the list, I think we
are ready for WG last call.

Thanks,
Adrian

> -----Original Message-----
> From: Teas [mailto:[email-masked]] On Behalf Of
[email-masked]
> Sent: 14 May 2017 22:50
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Teas] I-D Action: draft-ietf-teas-pce-central-control-02.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> This draft is a work item of the Traffic Engineering Architecture and
Signaling of
> the IETF.
> 
>         Title           : An Architecture for Use of PCE and PCEP in a Network
with Central
> Control
>         Authors         : Adrian Farrel
>                           Quintin Zhao
>                           Robin Li
>                           Chao Zhou
> 	Filename        : draft-ietf-teas-pce-central-control-02.txt
> 	Pages           : 22
> 	Date            : 2017-05-14
> 
> Abstract:
>    The Path Computation Element (PCE) has become established as a core
>    component of Software Defined Networking (SDN) systems.  It can
>    compute optimal paths for traffic across a network for any definition
>    of "optimal" and can also monitor changes in resource availability
>    and traffic demands to update the paths.
> 
>    Conventionally, the PCE has been used to derive paths for MPLS Label
>    Switched Paths (LSPs).  These paths are supplied using the Path
>    Computation Element Communication Protocol (PCEP) to the head end of
>    the LSP for signaling in the MPLS network.
> 
>    SDN has a far broader applicability than just signaled MPLS traffic
>    engineered networks, and the PCE may be used to determine paths in a
>    wide range of use cases including static LSPs, segment routing,
>    service function chaining (SFC), and indeed any form of routed or
>    switched network.  It is, therefore, reasonable to consider PCEP as a
>    general southbound control protocol for use in these environments to
>    allow the PCE to be fully enabled as a central controller.
> 
>    This document briefly introduces the architecture for PCE as a
>    central controller, examines the motivations and applicability for
>    PCEP as a southbound interface, and introduces the implications for
>    the protocol.  This document does not describe the use cases in
>    detail and does not define protocol extensions: that work is left for
>    other documents.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-teas-pce-central-control/